WKSChart::TextZone Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WKSChart::TextZone Struct Reference

a text zone a chart More...

`#include <WKSChart.h>`

## Public Types
enum | Type { T_Title, T_SubTitle, T_Footer }
| the text type More...
enum | ContentType { C_Cell, C_Text }
| the text content type More...

## Public Member Functions
| TextZone (Type type)
| constructor More...
| ~TextZone ()
| destructor More...
bool | valid () const
| returns true if the textbox is valid More...
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...

## Public Attributes
Type | m_type
| the zone type More...
ContentType | m_contentType
| the content type More...
bool | m_show
| true if the zone is visible More...
Vec2f | m_position
| the position in the zone More...
Position | m_cell
| the cell position ( or title and subtitle) More...
std::vector< WPSEntry > | m_textEntryList
| the text entry (or the list of text entry) More...
WPSFont | m_font
| the zone format More...
WPSGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextZone const &zone)
| operator<< More...

## Detailed Description

a text zone a chart

## Member Enumeration Documentation

## ◆ ContentType

enum WKSChart::TextZone::ContentType

the text content type

Enumerator
C_Cell |
C_Text |

## ◆ Type

enum WKSChart::TextZone::Type

the text type

Enumerator
T_Title |
T_SubTitle |
T_Footer |

## Constructor & Destructor Documentation

## ◆ TextZone()

WKSChart::TextZone::TextZone | ( | Type | type | ) |
| explicit

constructor

## ◆ ~TextZone()

WKSChart::TextZone::~TextZone | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void WKSChart::TextZone::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

Referenced by WKSChart::sendChart().

## ◆ addStyleTo()

void WKSChart::TextZone::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by WKSChart::sendChart().

## ◆ valid()

bool WKSChart::TextZone::valid | ( |  | ) | const
| inline

returns true if the textbox is valid

Referenced by WKSChart::sendChart().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WKSChart::TextZone const & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_cell

Position WKSChart::TextZone::m_cell

the cell position ( or title and subtitle)

Referenced by operator<<(), and valid().

## ◆ m_contentType

ContentType WKSChart::TextZone::m_contentType

the content type

Referenced by operator<<(), WKSChart::sendChart(), LotusChart::updateChart(), and valid().

## ◆ m_font

WPSFont WKSChart::TextZone::m_font

the zone format

Referenced by QuattroDosChartInternal::Chart::sendContent(), WKS4ChartInternal::Chart::sendContent(), and LotusChartInternal::Chart::sendContent().

## ◆ m_position

Vec2f WKSChart::TextZone::m_position

the position in the zone

Referenced by operator<<().

## ◆ m_show

bool WKSChart::TextZone::m_show

true if the zone is visible

Referenced by valid().

## ◆ m_style

WPSGraphicStyle WKSChart::TextZone::m_style

the graphic style

Referenced by operator<<(), and TextZone().

## ◆ m_textEntryList

std::vector<WPSEntry> WKSChart::TextZone::m_textEntryList

the text entry (or the list of text entry)

Referenced by QuattroDosChartInternal::Chart::sendContent(), WKS4ChartInternal::Chart::sendContent(), LotusChartInternal::Chart::sendContent(), and valid().

## ◆ m_type

Type WKSChart::TextZone::m_type

the zone type

Referenced by operator<<(), and WKSChart::sendChart().

The documentation for this struct was generated from the following files:

- WKSChart.h
- WKSChart.cpp